Loading...
Searching...
No Matches
Dune::QuadratureRuleFactory< ctype, dim > Class Template Reference

Factory class for creation of quadrature rules, depending on GeometryType, order and QuadratureType. More...

`#include <dune/geometry/quadraturerules.hh>`

Inheritance diagram for Dune::QuadratureRuleFactory< ctype, dim >:

## Friends

class | QuadratureRules< ctype, dim >

## Detailed Description

template<typename ctype, int dim>
class Dune::QuadratureRuleFactory< ctype, dim >

Factory class for creation of quadrature rules, depending on GeometryType, order and QuadratureType.

The whole class is private and can only be accessed by the singleton container class QuadratureRules.

## Friends And Related Symbol Documentation

## QuadratureRules< ctype, dim >

template<typename ctype, int dim>

friend class QuadratureRules< ctype, dim >

friend

The documentation for this class was generated from the following file:

- quadraturerules.hh